package com.qmth.themis.business.service;

import com.qmth.themis.business.dto.MqDto;

/**
 * @Description: mqdto 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
public interface MqDtoService {

    /**
     * 组装单向消息
     *
     * @param mqDto
     * @return
     */
    public MqDto assembleSendOneWayMsg(MqDto mqDto);

    /**
     * 组装异步延时消息
     *
     * @param mqDto
     * @return
     */
    public MqDto assembleSendAsyncDelayMsg(MqDto mqDto);

    /**
     * 组装同步延时消息
     *
     * @param mqDto
     * @return
     */
    public MqDto assembleSendSyncDelayMsg(MqDto mqDto);

    /**
     * 组装事务消息
     *
     * @param mqDto
     * @return
     */
    public MqDto assembleSendTranMsg(MqDto mqDto);
}
